# Mağaza aktifliğini günceller.

{% hint style="info" %}
Mağaza pasif `IsActive = false` durumdayken, periyodik sipariş senkronizasyonu yapılmaz. Yalnızca aktif `IsActive = true` durumdaki mağazalar için, ilgili pazaryeri servisinden siparişler senkronize edilir.
{% endhint %}

## PUT /Stores/UpdateActive

> Mağaza aktifligini günceller.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"UpdateStoreActiveCommand":{"type":"object","properties":{"UUID":{"type":"string","format":"uuid"},"IsActive":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/Stores/UpdateActive":{"put":{"tags":["Stores"],"summary":"Mağaza aktifligini günceller.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateStoreActiveCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStoreActiveCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateStoreActiveCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateStoreActiveCommand"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.nilvera.com/api/magaza-api/magaza-islemleri/magaza-aktifligini-gunceller..md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
